# Interface CharChunk.CharOutputChannel

Enclosing class:
  `CharChunk`

public static interface CharChunk.CharOutputChannel
When we need more space we'll either grow the buffer ( up to the limit ) or send it to a channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `realWriteChars(char[] buf, int off, int len)`
  Send the bytes ( usually the internal conversion buffer ).

- ## Method Details

  - ### realWriteChars

    void realWriteChars(char[] buf, int off, int len) throws IOException
    Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.
    Parameters:
      `buf` - characters that will be written
      `off` - offset in the characters array
      `len` - length that will be written
    Throws:
      `IOException` - If an I/O occurs while writing the characters